Package com.verisign.epp.codec.persreg

## Class EPPPersRegTst

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - com.verisign.epp.codec.persreg.EPPPersRegTst

- All Implemented Interfaces:
    `junit.framework.Test`

      public class EPPPersRegTst
      extends junit.framework.TestCase

  Is a unit test of the com.verisign.epp.codec.persreg package. The unit test will execute, gather statistics, and output the results of a test of each com.verisign.epp.codec.persreg package concrete extension `EPPCodecComponent`'s. The Domain and Email Forwarding commands and responses are used to test extending both.
  The unit test is dependent on the use of JUNIT 3.5

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPPersRegTst​(java.lang.String name)` | Creates a new EPPPersRegTst object.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `main​(java.lang.String[] args)` | Unit test main, which accepts the following system property options: iterations Number of unit test iterations to run validate Turn XML validation on (`true`) or off (`false`).
    `static void` | `setFactory​(javax.xml.parsers.DocumentBuilderFactory aFactory)` | Sets the XML document builder factory to use during the test.
    `static void` | `setNumIterations​(long aNumIterations)` | Sets the number of iterations to run per test.
    `protected void` | `setUp()` | JUNIT `setUp` method, which sets the default client Id to "theRegistrar" and initializes the `EPPPersRegMapFactory` with the `EPPCodec`.
    `static void` | `setValidate​(boolean aValidate)` | Sets XML parser validation on/off.
    `static junit.framework.Test` | `suite()` | JUNIT `suite` static method, which returns the tests associated with `EPPPersRegTst`.
    `protected void` | `tearDown()` | JUNIT `tearDown`, which currently does nothing.
    `void` | `testPersRegCreate()` | Unit test of extending the Domain and Email Forwarding create commands and responses.
    `void` | `testPersRegInfo()` | Unit test of extending the Domain and Email Forwarding info responses.
    `void` | `testPersRegRenew()` | Unit test of extending the Domain and Email Forwarding renew responses.
    `void` | `testPersRegTransfer()` | Unit test of extending the Domain and Email Forwarding transfer responses.

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPPersRegTst

          public EPPPersRegTst​(java.lang.String name)

      Creates a new EPPPersRegTst object.
      Parameters:
        `name` - DOCUMENT ME!

  - ### Method Detail

    - #### testPersRegInfo

          public void testPersRegInfo()

      Unit test of extending the Domain and Email Forwarding info responses.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

    - #### testPersRegCreate

          public void testPersRegCreate()

      Unit test of extending the Domain and Email Forwarding create commands and responses.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

    - #### testPersRegRenew

          public void testPersRegRenew()

      Unit test of extending the Domain and Email Forwarding renew responses.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

    - #### testPersRegTransfer

          public void testPersRegTransfer()

      Unit test of extending the Domain and Email Forwarding transfer responses.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

    - #### setUp

          protected void setUp()

      JUNIT `setUp` method, which sets the default client Id to "theRegistrar" and initializes the `EPPPersRegMapFactory` with the `EPPCodec`.
      Overrides:
        `setUp` in class `junit.framework.TestCase`

    - #### tearDown

          protected void tearDown()

      JUNIT `tearDown`, which currently does nothing.
      Overrides:
        `tearDown` in class `junit.framework.TestCase`

    - #### suite

          public static junit.framework.Test suite()

      JUNIT `suite` static method, which returns the tests associated with `EPPPersRegTst`.
      Returns:
        DOCUMENT ME!

    - #### main

          public static void main​(java.lang.String[] args)

      Unit test main, which accepts the following system property options:
      - iterations Number of unit test iterations to run
      - validate Turn XML validation on (`true`) or off (`false`). If validate is not specified, validation will be off.
      Parameters:
        `args` - DOCUMENT ME!

    - #### setNumIterations

          public static void setNumIterations​(long aNumIterations)

      Sets the number of iterations to run per test.
      Parameters:
        `aNumIterations` - number of iterations to run per test

    - #### setValidate

          public static void setValidate​(boolean aValidate)

      Sets XML parser validation on/off.
      Parameters:
        `aValidate` - `true` to turn XML parser validation on; `false` otherwise.

    - #### setFactory

          public static void setFactory​(javax.xml.parsers.DocumentBuilderFactory aFactory)

      Sets the XML document builder factory to use during the test.
      Parameters:
        `aFactory` - Initialized instance of `DocumentBuilderFactory`. The `DocumentBuilderFactory` is used to turn on/off attributes like validation and namespace awareness.